<div class="container-fluid">
  <div class="row">
    <div class="col-md-5 offset-1">
      <div class="signin-header padding-20">
        <h2 class="movie-heading-color margin-bottom-20">Sign up for an account</h2>
        <div class="header-description">
          <p class="description-color">Signing up for an account is free and easy. Fill out the form below to get
            started.</p>

          <form class="signinForm" [formGroup]="signupForm">
            <div class="row no-margin margin-bottom-10">
              <label class="description-color" for="user_name">User Name</label>
              <input class="col-12 input-style" type="text" name="user_name" id="user_name" formControlName="user_name"
                placeholder="User Name" (change)="checkUser(signupForm.controls.user_name.value)">
              <div
                *ngIf="signupForm.controls.user_name.invalid && (signupForm.controls.user_name.dirty || signupForm.controls.user_name.touched)">
                <div class="danger" *ngIf="signupForm.controls.user_name.errors.required">
                  User name is required.
                </div>
              </div>
            </div>
            <div class="row no-margin margin-bottom-10">
              <label class="description-color" for="password">Password</label>
              <input class="col-12 input-style" type="password" name="password" id="password" formControlName="password"
                placeholder="Password">
              <div class="danger"
                *ngIf="signupForm.controls.password.invalid && (signupForm.controls.password.dirty || signupForm.controls.password.touched)">
                <div *ngIf="signupForm.controls.password.errors.required">
                  Password is required.
                </div>
              </div>
            </div>
            <div class="row no-margin margin-bottom-10">
              <label class="description-color" for="password">Confirm Password</label>
              <input class="col-12 input-style" type="password" name="conf_password" id="conf_password"
                formControlName="conf_password" placeholder="Confirm Password" (change)="checkPassword()">
              <div class="danger"
                *ngIf="signupForm.controls.conf_password.invalid && (signupForm.controls.conf_password.dirty || signupForm.controls.conf_password.touched)">
                <div *ngIf="signupForm.controls.conf_password.errors.required">
                  Confirm Password is required.
                </div>
              </div>
              <div class="danger"
                *ngIf="signupForm.controls.conf_password.invalid && (signupForm.controls.conf_password.dirty || signupForm.controls.conf_password.touched)">
                <div *ngIf="signupForm.controls.conf_password.errors.SamePass">
                  Password does not match.
                </div>
              </div>
            </div>
            <div class="row no-margin margin-bottom-10">
              <label class="description-color" for="password">Email</label>
              <input class="col-12 input-style" type="email" name="email" id="email" formControlName="email"
                placeholder="Email">
              <div class="danger"
                *ngIf="signupForm.controls.email.invalid && (signupForm.controls.email.dirty || signupForm.controls.email.touched)">
                <div *ngIf="signupForm.controls.email.errors.required">
                  Email is required.
                </div>
                <div *ngIf="signupForm.controls.email.errors.email">
                    Please enter the valid email
                </div>
              </div>
            </div>
          </form>
          <div class="submit-area">
            <div class="row no-margin">
              <button class="btn btn-success" (click)="register()">Sign Up</button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-md-5 offset-1">
      <div style="margin-top:100px;">
        <mat-card class="example-card">
          <mat-card-header>
            <div class="card-title">
              <mat-card-title>
                <h2>Benefits of being a member</h2>
              </mat-card-title>
            </div>
          </mat-card-header>
          <mat-card-content>
            <ul>
              <li>Log the movies and TV shows you have watched</li>
              <li>Keep track of your favourite movies and TV shows and get recommendations from them</li>
              <li>Build and maintain a personal watchlist</li>
              <li>Build custom mixed lists (movies and TV)</li>
              <li>Take part in movie and TV discussions</li>
              <li>Contribute to, and improve the information in our database</li>
            </ul>
          </mat-card-content>
        </mat-card>
      </div>
    </div>
  </div>
</div>